# docker-compose up --build

image: tiangolo/docker-with-compose

stages:
  - build
  - test


build-job:
  stage: build
  script:
    - echo "Hello, $GITLAB_USER_LOGIN!"

test-job1:
  stage: test
  script:
    - echo "This job tests something"
    - docker stack ls
    - docker ps
    - docker stack deploy -c docker-compose.yml tester
